unit minedoutspiel;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,minedoutbase, minedoutspieler, minedoutspielfeld;

type

  { TSpiel }

  TSpiel = class
    private
      Spielfeld : TSpielfeld;
      Spieler : TSpieler;
      procedure VerarbeiteSpielerBewegung(AltePos, NeuePos : TPos);
    public
      constructor Create;
      destructor Destroy; override;
      procedure Starten;

  end;

implementation

procedure TSpiel.VerarbeiteSpielerBewegung(AltePos, NeuePos: TPos);
begin
  // View aufrufen, damit die Bewegung dargestellt wird
  Writeln('Alte Position: ', AltePos.X, '/', AltePos.Y);
  Writeln('Neue Position: ', NeuePos.X, '/', NeuePos.Y);
end;

constructor TSpiel.Create;
begin
  Spielfeld := TSpielfeld.Create;
  Spieler := TSpieler.Create(Spielfeld.Startposition);
  Spieler.BewegungMelden:= VerarbeiteSpielerBewegung;
end;

destructor TSpiel.Destroy;
begin
  Spielfeld.Free;
  Spieler.Free;
  inherited Destroy;
end;

procedure TSpiel.Starten;
begin

  Writeln('Spielfeld aufgebaut...');
  Spielfeld.LegeMinen(150);
  Spielfeld.ZeichneSpielfeld;
  Readln;

end;

end.

